/*
Theme Name: Healfio Child Theme
Theme URI: https://healfio.peerduck.com
Author: PeerduckThemes
Author URI: https://peerduck.com
Description: Blank Child Theme for Healfio
Template: healfio
Version: 1.26
Requires at least: 5.0
Tested up to: 5.7
Requires PHP: 7
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: one-column, two-columns, three-columns, custom-colors, featured-images, theme-options
Text Domain: healfio
*/

.subscribe-form-wrapper {
	
}

.subscribe-form {
	display: flex !important;
}

.subscribe-form .wpcf7-text {
	max-width: 284px !important;
}

.subscribe-form .wpcf7-submit , .subscribe-form .wpcf7-text {
	height: 51px !important;
}

.subscribe-form .wpcf7-submit {	
    margin-left: -30px;
	display: block;
	position: relative;
	z-index: 2;
	padding: 0.8125em 1.3375em !important;
	max-width: 191px !important;
    border-radius: 22px;
}

/* SIDEBAR MOB */
@media (max-width: 768px) {
	.post-type-archive-product .container-shop .row {
		display: flex;
		flex-direction: column-reverse;
	}
	
	.widget_product_search {
		display: none;
	}
}

.footer-contact-link {
	display: flex;
	align-items: center;
	gap: 8px;
}

.footer-contact-link img {
	width: 100%;
	max-width: 24px;
}

/* CATALOG MOBILE */

@media (max-width: 768px) {
	.woocommerce-shop .products,
	.tax-product_cat .products {
		display: grid !important;
		grid-template-columns: 1fr 1fr;
		column-gap: 12px;
	}
	
	.woocommerce-shop .product,
	.tax-product_cat .product {
        float: unset !important;
        clear: unset !important;
        width: 100% !important;
		padding: 18px 10px !important;
	}
	
	.woocommerce-shop .products ul::after,
	.woocommerce-shop .products ul::before,
	.woocommerce-shop ul.products::after,
	.woocommerce-shop ul.products::before,
	
	.tax-product_cat .products ul::after,
	.tax-product_cat .products ul::before,
	.tax-product_cat ul.products::after,
	.tax-product_cat ul.products::before {
		display: none !important;
	}
	
	.woocommerce-shop ul.products li.product .button,
	.tax-product_cat ul.products li.product .button {
		min-width: unset !important;
		width: auto !important;
		
		padding: 9px 11px !important;
		font-size: 11px !important;
		line-height: 127% !important;
	}
	
	.woocommerce-shop ul.products.columns-3 li.product .woocommerce-loop-product__title,
	.woocommerce.tax-product_cat ul.products.columns-3 li.product .woocommerce-loop-product__title
	{
		font-size: 13px !important; 
	}
}

/* LANGUAGE SWITCHER CUSTOMIZATION */

.navbar-dark .navbar-nav .nav-link img,
.primary-menu .dropdown-item img {
	margin: 0 4px !important;
}

.dropdown-toggle::after {
    border-top: 0.35em solid !important;
    border-right: 0.35em solid transparent !important;
    border-left: 0.35em solid transparent !important;
}

/* CHECKOUT FORM */

.woocommerce-input-wrapper {
	
}

/* Прячем стандартный кружок, но оставляем доступным для клавиатуры */
.woocommerce-input-wrapper .input-radio {
  position: absolute;
  opacity: 0;
}

.woocommerce-input-wrapper label.radio {
	position: relative;
	cursor: pointer;
    width: 20px !important;
    height: 20px !important;
    white-space: nowrap !important;
	
    display: flex !important;
    align-items: center;
}


/* 1. Создаем "квадратик" чекбокса через псевдоэлемент ::before */
.woocommerce-input-wrapper label.radio::before {
  content: "";
  display: inline-block;
  min-width: 20px;
  height: 20px;
  border: 2px solid #ccc;
  border-radius: 4px;
  margin-right: 10px;
  background-color: white;
  transition: all 0.2s ease; /* Плавный переход цвета */
}


/* 2. Создаем ::after */
.woocommerce-input-wrapper label.radio::after {
  content: "✔"; 
  position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
  color: #ffffff;
  font-size: 12px;
	transition: opacity .3s ease-in-out;
	opacity: 0;
    mix-blend-mode: plus-lighter;
}

/* Стилизуем лейбл, который идет СРАЗУ после чекнутого инпута */
.woocommerce-input-wrapper .input-radio:checked + label.radio::before {
  background-color: #01785c;
  border-color: #01785c;
}
.woocommerce-input-wrapper .input-radio:checked + label.radio::after {
	opacity: 1;
}

/*  */

#ship-to-different-address {
	display: none !important;
}

/*  */

.woocommerce .cart-collaterals, .woocommerce-page .cart-collaterals {
	display: flex;
    flex-direction: column-reverse;
}

.woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals,
.woocommerce .cart-collaterals .cross-sells, .woocommerce-page .cart-collaterals .cross-sells {
	width: 100% !important;
}

a.checkout-button.button.alt {
	max-width: unset;
}

.woocommerce .cart button[name="apply_coupon"] {
	min-width: 188px !important;
}

.custom-checkout-text div {
	display: inline-block;
    width: 100%;
	max-width: 277px;
	text-align: center;
}

@media (max-width: 768px) {
	.custom-checkout-text {
		text-align: center !important;
	}
}

/* поднятие блока с оформлением заказа на корзине */

.woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals {
    display: flex;
    flex-direction: column-reverse;
    margin-bottom: 20px;
}

.cart_totals h4,
#add_payment_method .wc-proceed-to-checkout, .woocommerce-cart .wc-proceed-to-checkout, .woocommerce-checkout .wc-proceed-to-checkout {
	order: 2;
}

